function [I,Iref,T,rect,gtRect] = loadImageAndTemplate(pairN,dataDir)

imFiles = dir(sprintf('%s\\pair%04d*.jpg',dataDir,pairN));
rectFile = dir(sprintf('%s\\pair%04d*.txt',dataDir,pairN));

Iref    = (imread(fullfile(dataDir,imFiles(1).name))); %first image
I       = (imread(fullfile(dataDir,imFiles(2).name))); %second image
rect    = round(load(fullfile(dataDir,rectFile(1).name))); %first image
gtRect  = round(load(fullfile(dataDir,rectFile(2).name))); %second image
T = imcrop(Iref,(rect-[0,0,1,1]));




